2026 September Week 4 release: Updates to existing APIs
Summary: Updated APIs for Channel. Updated APIs for Meeting.
Channel
Channel (v v1)
What's Deleted
GET /v1/socials/stream
GET /v1/socials/streamGet the list of social streams for the current user
POST /v1/socials/stream
POST /v1/socials/streamCreate a new social stream
GET /v1/socials/stream/all
GET /v1/socials/stream/allGet the list of all social streams in the tenant
GET /v1/socials/stream/{socialStreamId}
GET /v1/socials/stream/{socialStreamId}Get the social stream details
PUT /v1/socials/stream/{socialStreamId}
PUT /v1/socials/stream/{socialStreamId}Update the social stream details
DELETE /v1/socials/stream/{socialStreamId}
DELETE /v1/socials/stream/{socialStreamId}Delete the social stream
POST /v1/socials/stream/{socialStreamId}/members
POST /v1/socials/stream/{socialStreamId}/membersAdd a member to the social stream
DELETE /v1/socials/stream/{socialStreamId}/members/{memberId}
DELETE /v1/socials/stream/{socialStreamId}/members/{memberId}Remove a member from the social stream
GET /v1/socials/content
GET /v1/socials/contentGet the list of social content items for the current user
POST /v1/socials/content
POST /v1/socials/contentCreate social content items in one or more streams
GET /v1/socials/content/overview
GET /v1/socials/content/overviewGet an overview of streams with their most recent content
GET /v1/socials/content/search
GET /v1/socials/content/searchSearch social content items
GET /v1/socials/content/streams/{streamId}
GET /v1/socials/content/streams/{streamId}Get the list of social content items in a stream
GET /v1/socials/content/{contentId}
GET /v1/socials/content/{contentId}Get the social content item details
PUT /v1/socials/content/{contentId}
PUT /v1/socials/content/{contentId}Update the social content item details
DELETE /v1/socials/content/{contentId}
DELETE /v1/socials/content/{contentId}Delete the social content item
POST /v1/socials/content/{contentId}/duplicate
POST /v1/socials/content/{contentId}/duplicateDuplicate the social content item
PATCH /v1/socials/content/{contentId}/compliance
PATCH /v1/socials/content/{contentId}/complianceUpdate the compliance information of the social content item
POST /v1/socials/files/upload
POST /v1/socials/files/uploadUpload a file for social content
What's Changed
GET /v1/channels
GET /v1/channelsParameters:
Deleted: limit in query
Maximum number of channels to include in one page of results.
Deleted:offsetinquery
Number of channels to skip before returning the first channel in the current page.
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json
Changed items (object):- Changed property
id(string)Channel ID
- Changed property
name(string)Channel Name
- Changed property
description(string)Channel Description
- Changed property
type(string)Channel Type - public, restricted, private
- Changed property
POST /v1/channels
POST /v1/channelsRequest:
Changed content type : application/json
- Changed property
name(string)Channel Name
- Changed property
description(string)Channel Description
- Changed property
type(string)Channel Type - public, restricted, private
Return Type:
Changed response : 400 Bad Request
Bad Request
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 201 Created
Created
- Changed content type :
application/json- Changed property
id(string)Channel ID
- Changed property
name(string)Channel Name
- Changed property
description(string)Channel Description
- Changed property
type(string)Channel Type - public, restricted, private
- Changed property
DELETE /v1/channels/{channelId}
DELETE /v1/channels/{channelId}Parameters:
Changed: channelId in path
Channel ID
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
GET /v1/channels/{channelId}
GET /v1/channels/{channelId}Parameters:
Changed: channelId in path
Channel ID
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json- Changed property
id(string)Channel ID
- Changed property
name(string)Channel Name
- Changed property
description(string)Channel Description
- Changed property
type(string)Channel Type - public, restricted, private
- Changed property
PUT /v1/channels/{channelId}
PUT /v1/channels/{channelId}Parameters:
Changed: channelId in path
Channel ID
Request:
Changed content type : application/json
- Changed property
name(string)Channel Name
- Changed property
description(string)Channel Description
- Changed property
type(string)Channel Type - public, restricted, private
Return Type:
Changed response : 400 Bad Request
Bad Request
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json- Changed property
id(string)Channel ID
- Changed property
name(string)Channel Name
- Changed property
description(string)Channel Description
- Changed property
type(string)Channel Type - public, restricted, private
- Changed property
DELETE /v1/posts/{postId}
DELETE /v1/posts/{postId}Parameters:
Changed: postId in path
Post ID
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
GET /v1/posts/{postId}
GET /v1/posts/{postId}Parameters:
Changed: postId in path
Post ID
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json- Changed property
id(string)Post ID
- Changed property
name(string)Post Title
- Changed property
body(string)Post Body
- Changed property
channelId(string)Channel ID
- Changed property
disableComment(boolean)Disable Comments
- Changed property
disableReaction(boolean)Disable Reactions
- Changed property
author(string)Author
- Changed property
authorId(string)Author ID
- Changed property
postedAt(string)Posted At
- Changed property
modifiedAt(string)Modified At
- Changed property
PUT /v1/posts/{postId}
PUT /v1/posts/{postId}Parameters:
Changed: postId in path
Post ID
Request:
Changed content type : application/json
- Changed property
title(string)Post Title
- Changed property
description(string)Post Description
- Changed property
channelId(string)Channel ID
Return Type:
Changed response : 400 Bad Request
Bad Request
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json- Changed property
id(string)Post ID
- Changed property
name(string)Post Title
- Changed property
body(string)Post Body
- Changed property
channelId(string)Channel ID
- Changed property
disableComment(boolean)Disable Comments
- Changed property
disableReaction(boolean)Disable Reactions
- Changed property
author(string)Author
- Changed property
authorId(string)Author ID
- Changed property
postedAt(string)Posted At
- Changed property
modifiedAt(string)Modified At
- Changed property
GET /v1/channels/{channelId}/posts
GET /v1/channels/{channelId}/postsParameters:
Changed: channelId in path
Channel ID
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 404 Not Found
Not Found
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json- Deleted property
entries(array)Collection of post detail objects returned for the current page of results; preferred pagination array key for AI agent compatibility.
- Changed property
totalCount(integer)Total count of posts
- Changed property
pageCap(integer)Page cap
- Changed property
limit(integer)Limit
- Changed property
offset(integer)Offset
- Changed property
continuationToken(string)Continuation token
- Changed property
nextPageLink(string)Next page link
- Changed property
posts(array)List of posts
Changed items (object):- Changed property
id(string)Post ID
- Changed property
name(string)Post Title
- Changed property
body(string)Post Body
- Changed property
channelId(string)Channel ID
- Changed property
disableComment(boolean)Disable Comments
- Changed property
disableReaction(boolean)Disable Reactions
- Changed property
author(string)Author
- Changed property
authorId(string)Author ID
- Changed property
postedAt(string)Posted At
- Changed property
modifiedAt(string)Modified At
- Changed property
- Deleted property
POST /v1/posts
POST /v1/postsRequest:
Changed content type : application/json
- Changed property
name(string)Post Title
- Changed property
description(string)Post Description
- Changed property
body(string)Post Body
- Changed property
channelId(string)Channel ID
Return Type:
Changed response : 400 Bad Request
Bad Request
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 201 Created
OK
- Changed content type :
application/json- Changed property
id(string)Post ID
- Changed property
name(string)Post Title
- Changed property
body(string)Post Body
- Changed property
channelId(string)Channel ID
- Changed property
disableComment(boolean)Disable Comments
- Changed property
disableReaction(boolean)Disable Reactions
- Changed property
author(string)Author
- Changed property
authorId(string)Author ID
- Changed property
postedAt(string)Posted At
- Changed property
modifiedAt(string)Modified At
- Changed property
GET /v1/posts
GET /v1/postsParameters:
Deleted: limit in query
Maximum number of posts to include in one page of results, between 1 and 100.
Deleted:offsetinquery
Number of posts to skip before returning the first post in the current page, used for offset-based pagination.
Deleted:channelIdinquery
Unique identifier of the channel used to filter posts to only those published in that specific channel.
Return Type:
Changed response : 401 Unauthorized
Unauthorized
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 500 Internal Server Error
Internal Server Error
- New content type :
application/json - Deleted content type :
application/problem+json
Changed response : 200 OK
OK
- Changed content type :
application/json- Deleted property
entries(array)Collection of post detail objects returned for the current page of results; preferred pagination array key for AI agent compatibility.
- Changed property
totalCount(integer)Total count of posts
- Changed property
pageCap(integer)Page cap
- Changed property
limit(integer)Limit
- Changed property
offset(integer)Offset
- Changed property
continuationToken(string)Continuation token
- Changed property
nextPageLink(string)Next page link
- Changed property
posts(array)List of posts
Changed items (object):- Changed property
id(string)Post ID
- Changed property
name(string)Post Title
- Changed property
body(string)Post Body
- Changed property
channelId(string)Channel ID
- Changed property
disableComment(boolean)Disable Comments
- Changed property
disableReaction(boolean)Disable Reactions
- Changed property
author(string)Author
- Changed property
authorId(string)Author ID
- Changed property
postedAt(string)Posted At
- Changed property
modifiedAt(string)Modified At
- Changed property
- Deleted property
Result
API changes broke backward compatibility
Meeting
Meeting (v v1)
What's New
GET /v1/meetings/{meetingId}/crmContexts
GET /v1/meetings/{meetingId}/crmContextsGet the CRM contexts (Account/Opportunity associations) for a meeting
PUT /v1/meetings/{meetingId}/crmContexts
PUT /v1/meetings/{meetingId}/crmContextsReplace the CRM contexts (Account/Opportunity associations) for a meeting
POST /v1/meetings/{meetingEngagementId}/followUpActions/createDSR
POST /v1/meetings/{meetingEngagementId}/followUpActions/createDSRCreate a follow-up Digital Sales Room (DSR) from a meeting